## ros-kinetic-nodelet 1.9.14

=== debian/changelog ===
ros-kinetic-nodelet (1.9.14-0xenial) xenial; urgency=high

  * declared_nodelets: continue on missing plugin xml (#70 <https://github.com/ros/nodelet_core/issues/70>)
  * Contributors: Furushchev

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 15 Nov 2017 08:00:00 -0000

ros-kinetic-nodelet (1.9.13-0xenial) xenial; urgency=high

  * Drop unneeded forward declaration. (#68 <https://github.com/ros/nodelet_core/issues/68>)
  * Contributors: Mike Purvis

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-kinetic-nodelet (1.9.12-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 04 Aug 2017 07:00:00 -0000

ros-kinetic-nodelet (1.9.11-0xenial) xenial; urgency=high

  * Add getRemappingArgs method to nodelet to reuse it in subclass (#61 <https://github.com/ros/nodelet_core/issues/61>)
  * remove trailing whitespaces (#62 <https://github.com/ros/nodelet_core/issues/62>)
  * switch to package format 2 (#63 <https://github.com/ros/nodelet_core/issues/63>)
  * Show pkg and manifest file with verbose option (#59 <https://github.com/ros/nodelet_core/issues/59>)
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-kinetic-nodelet (1.9.10-0xenial) xenial; urgency=high

  * installs the list_nodelets script (#58 <https://github.com/ros/nodelet_core/issues/58>)
    * python3 compatibility
    * pep8
    * install list_nodelets
    * print message with service name
  * return outside of try catch
  * fix unused var warning
  * give node a name, empty node names not supported since https://github.com/ros/ros_comm/commit/bd3af70520648783da8aa4d3610f234a4d2bd41f
  * remove tabs
  * fix help message
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-kinetic-nodelet (1.9.9-0xenial) xenial; urgency=high

  * drop unused dependency on tinyxml (#54 <https://github.com/ros/nodelet_core/pull/54>)
  * Install the declared_nodelets script (#53 <https://github.com/ros/nodelet_core/pull/53>)
  * Contributors: Dmitry Rozhkov, Kentaro Wada

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-nodelet (1.9.8-0xenial) xenial; urgency=high

  * Fix bond handling during nodelet unloading (#51 <https://github.com/ros/nodelet_core/issues/51>)
    * add test whether bond breaking on unload works (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
    * disable callback for broken bond when we are breaking it
    This avoids the nodelet::LoaderROS::unload() method to be called
    twice for the same nodelet, causing an error output.
    * use AsyncSpinner for nodelet load in order for the shutdown procedure to work
    During shutdown, the bonds still need to communicate their status in order
    for the nodelet to properly/cleanly/quickly unload. This requires the node
    to spin.
    * add test whether LoaderROS::unload() is called twice (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
  * Contributors: Daniel Seifert

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 15 Nov 2016 08:00:00 -0000

ros-kinetic-nodelet (1.9.7-0xenial) xenial; urgency=high

  * Use rospkg instead of roslib in declared_nodelets
    Close https://github.com/ros/nodelet_core/issues/48
  * Contributors: Kentaro Wada

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-kinetic-nodelet (1.9.6-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-kinetic-nodelet (1.9.5-0xenial) xenial; urgency=high

  * more sane debugging messages
  * Contributors: Daniel Stonier

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-kinetic-nodelet (1.9.4-0xenial) xenial; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 15 Mar 2016 07:00:00 -0000

ros-kinetic-nodelet (1.9.3-0xenial) xenial; urgency=high

  * adding support for named nodelet loggers
  * nodelet loader: display error messages from both load attempts on failure
  * Contributors: Max Schwarz, Tully Foote

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-kinetic-nodelet (1.9.2-0xenial) xenial; urgency=high

  * Fix dependency version
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 30 Oct 2014 07:00:00 -0000

ros-kinetic-nodelet (1.9.1-0xenial) xenial; urgency=high

  * Use FindUUID.cmake from cmake-modules to find the UUID libraries
  * nodelet: Loader: do not call impl->refresh_classes_ if not available
  * Contributors: Esteve Fernandez, Max Schwarz

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 29 Oct 2014 07:00:00 -0000

ros-kinetic-nodelet (1.9.0-0xenial) xenial; urgency=high

  * Fix initialization error handling (#13 <https://github.com/ros/nodelet_core/issues/13>)
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-nodelet (1.8.3-0xenial) xenial; urgency=high

  * Add version to pluginlib dependency
  * nodelet: avoid breaking bond when unloading unknown nodelet
  * nodelet: refresh list of available classes if class is not found
  * Fixed missing header
  * Correctly check that there are enough arguments when nodelet is launched with the unload command
  * Exit if Loader::load returns failure in "standalone" mode instead of continuing to run
  * Contributors: Dirk Thomas, Esteve Fernandez, Forrest Voight, Gary Servin, Marcus Liebhardt, Mitchell Wills
  * fix missing header (#14 <https://github.com/ros/nodelet_core/issues/14>)
  * fix check that there are enough arguments when nodelet is launched with the unload command (#12 <https://github.com/ros/nodelet_core/issues/12>)

