=== debian/control ===
Source: ros-kinetic-nodelet
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-bondcpp, ros-kinetic-catkin, ros-kinetic-cmake-modules (>= 0.3.2), ros-kinetic-message-generation, ros-kinetic-pluginlib (>= 1.10.0), ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-std-msgs, uuid-dev
Homepage: http://ros.org/wiki/nodelet
Standards-Version: 3.9.2

Package: ros-kinetic-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-bondcpp, ros-kinetic-message-runtime, ros-kinetic-pluginlib (>= 1.10.0), ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, uuid-dev
Description: The nodelet package is designed to provide a way to run multiple algorithms in the same process with zero copy transport between algorithms.
 This package provides both the nodelet base class needed for implementing a nodelet, as well as the NodeletLoader class used for instantiating nodelets.
